- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions

# QWSInputMethod Class Reference

Search for all occurrences

## Detailed Description

Definition at line 371 of file qwindowsystem_qws.h.

`#include <qwindowsystem_qws.h>`

Inheritance diagram for QWSInputMethod:
[legend]

List of all members.

## Public Types
enum | UpdateType { Update, FocusIn, FocusOut, Reset, Destroyed }
## Public Member Functions
| QWSInputMethod ()
virtual | ~QWSInputMethod ()
virtual bool | filter (int unicode, int keycode, int modifiers, bool isPress, bool autoRepeat)
virtual bool | filter (const QPoint &, int state, int wheel)
virtual void | reset ()
virtual void | updateHandler (int type)
virtual void | mouseHandler (int pos, int state)
virtual void | queryResponse (int property, const QVariant &)
## Protected Member Functions
uint | setInputResolution (bool isHigh)
uint | inputResolutionShift () const
void | sendMouseEvent (const QPoint &pos, int state, int wheel)
void | sendEvent (const QInputMethodEvent *)
void | sendPreeditString (const QString &preeditString, int cursorPosition, int selectionLength=0)
void | sendCommitString (const QString &commitString, int replaceFrom=0, int replaceLength=0)
void | sendQuery (int property)

## Member Enumeration Documentation

enum UpdateType

Search for all occurrences

Enumerator:

  Update | Search for all occurrences
  FocusIn | Search for all occurrences
  FocusOut | Search for all occurrences
  Reset | Search for all occurrences
  Destroyed | Search for all occurrences

Definition at line 378 of file qwindowsystem_qws.h.

    {Update, FocusIn, FocusOut, Reset, Destroyed};

## Constructor & Destructor Documentation

QWSInputMethod | ( |  | ) |

virtual ~QWSInputMethod | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool filter | ( | int | unicode,
|  | int | keycode,
|  | int | modifiers,
|  | bool | isPress,
|  | bool | autoRepeat
| ) |  | `[virtual]`

Search for all occurrences

virtual bool filter | ( | const QPoint & | ,
|  | int | state,
|  | int | wheel
| ) |  | `[virtual]`

Search for all occurrences

virtual void reset | ( |  | ) | `[virtual]`

Search for all occurrences

virtual void updateHandler | ( | int | type | ) | `[virtual]`

Search for all occurrences

virtual void mouseHandler | ( | int | pos,
|  | int | state
| ) |  | `[virtual]`

Search for all occurrences

virtual void queryResponse | ( | int | property,
|  | const QVariant & |
| ) |  | `[virtual]`

Search for all occurrences

uint setInputResolution | ( | bool | isHigh | ) | `[protected]`

Search for all occurrences

uint inputResolutionShift | ( |  | ) | const `[protected]`

Search for all occurrences

void sendMouseEvent | ( | const QPoint & | pos,
|  | int | state,
|  | int | wheel
| ) |  | `[protected]`

Search for all occurrences

void sendEvent | ( | const QInputMethodEvent * | ime | ) | `[inline, protected]`

Search for all occurrences

Definition at line 408 of file qwindowsystem_qws.h.

    {
        qwsServer->sendIMEvent(ime);
    }

void sendPreeditString | ( | const QString & | preeditString,
|  | int | cursorPosition,
|  | int | selectionLength = `0`
| ) |  | `[protected]`

Search for all occurrences

void sendCommitString | ( | const QString & | commitString,
|  | int | replaceFrom = `0`,
|  | int | replaceLength = `0`
| ) |  | `[protected]`

Search for all occurrences

void sendQuery | ( | int | property | ) | `[inline, protected]`

Search for all occurrences

Definition at line 419 of file qwindowsystem_qws.h.

    {
        qwsServer->sendIMQuery(property);
    }

The documentation for this class was generated from the following file:

- QtGui/qwindowsystem_qws.h

QWSInputMethod QWSInputMethod QWSInputMethod QWSInputMethod QWSInputMethod QWSInputMethod QWSInputMethod QWSInputMethod QWSInputMethod QWSInputMethod
QWSInputMethod QWSInputMethod QWSInputMethod QWSInputMethod QWSInputMethod QWSInputMethod QWSInputMethod QWSInputMethod QWSInputMethod QWSInputMethod